﻿using HKLib.Dto;
using HKLib.RabbitMQ.Config;
using HKLib.RabbitMQ.Publisher;
using XExten.Advance.HttpFramework.MultiCommon;
using XExten.Advance.HttpFramework.MultiFactory;
using XExten.Advance.LinqFramework;
using static RabbitMQ.Client.Logging.RabbitMqClientEventSource;

namespace HKLib.Interfaces
{
    public class HKLibHelper
    {
        /// <summary>
        /// 设置刷卡时间端
        /// </summary>
        public static void SetTime(TimeSpilte input)
        {
            IHttpMultiClient.HttpMulti.AddNode(t =>
            {
                t.NodePath = $"{Configer.SaasRoute}";
                t.JsonParam = input.ToJson();
                t.ReqType = MultiType.POST;
            }).Build().RunStringFirst();
        }

        /// <summary>
        /// 根据用户命获取下拉用户列表
        /// </summary>
        /// <param name="keyword"></param>
        public static void GetUserList(string keyword) 
        {
            IHttpMultiClient.HttpMulti.AddNode(t =>
            {
                t.NodePath = $"{Configer.SaasRoute}/{keyword}";
                t.ReqType = MultiType.GET;
            }).Build().RunStringFirst();
        }
        /// <summary>
        /// 添加用户
        /// </summary>
        /// <param name="input"></param>
        public static void AddUser(UserDto input)
        {
            IHttpMultiClient.HttpMulti.AddNode(t =>
            {
                t.NodePath = $"{Configer.SaasRoute}";
                t.ReqType = MultiType.POST;
                t.JsonParam = input.ToJson();
            }).Build().RunStringFirst();
        }
        /// <summary>
        /// 变更卡状态
        /// </summary>
        /// <param name="input"></param>
        public static void CardStutasChange(CardStutasDto input) 
        {
            IHttpMultiClient.HttpMulti.AddNode(t =>
            {
                t.NodePath = $"{Configer.SaasRoute}";
                t.ReqType = MultiType.POST;
                t.JsonParam = input.ToJson();
            }).Build().RunStringFirst();
            ServiceQueryPush.QueryPush.PushMQ(input, "CardStutasChanged", MQEnum.Top);
        }
    }
}
